Name:           ocaml-herelib
Version:        109.35.00
Release:        %mkrel 6
Summary:        OCaml syntax extension for inserting the current location

Group:          Development/OCaml
License:        ASL 2.0
URL:            http://ocaml.janestreet.com
Source0:        http://ocaml.janestreet.com/ocaml-core/%{version}/individual/herelib-%{version}.tar.gz

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-camlp4-devel

%description
OCaml syntax extension for inserting the current location.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n herelib-%{version}

%build
./configure
make

%check
make test

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install


%files
%doc LICENSE.txt
%doc INRIA-DISCLAIMER.txt
%doc THIRD-PARTY.txt
%{_libdir}/ocaml/herelib/META
%{_libdir}/ocaml/herelib/*.cmi
%{_libdir}/ocaml/herelib/*.cma
%{_libdir}/ocaml/herelib/*.cmxs

%files devel
%doc lib_test/
%{_libdir}/ocaml/herelib/*.a
%{_libdir}/ocaml/herelib/*.cmx
%{_libdir}/ocaml/herelib/*.cmxa
%{_libdir}/ocaml/herelib/*.mli
%{_libdir}/ocaml/herelib/*.ml


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 109.35.00-6.mga6
+ Revision: 1056389
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 109.35.00-5.mga6
+ Revision: 956728
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 109.35.00-4.mga5
+ Revision: 744393
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 109.35.00-3.mga5
+ Revision: 683045
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 109.35.00-2.mga4
+ Revision: 531181
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 blue_prawn <blue_prawn> 109.35.00-1.mga4
+ Revision: 462520
- updated to last version 109.35.00

* Sun Jun 02 2013 blue_prawn <blue_prawn> 109.15.00-2.mga4
+ Revision: 434706
- there's no doc that can be generated, give examples instead

* Sat Jun 01 2013 malo <malo> 109.15.00-1.mga4
+ Revision: 434221
- imported package ocaml-herelib

